import Box from "@mui/material/Box";
import Typography from "@mui/material/Typography";
import ExperienceDisplay from "@components/ExperienceDisplay.jsx";

export default function Experience() {
  return (
    <Box
      style={{
        padding: 10,
        scrollMarginTop: "4rem",
        maxWidth: "500px",
        margin: "0 auto",
        textAlign: "left",
        width: "100%",
      }}
      id="experience"
    >
      <Typography variant="h2" sx={{ margin: "1rem auto", fontSize: 30, pb: ".5rem" }}>
        Experience
      </Typography>
      <Box className="experience-list">
        <ExperienceDisplay
          title="Fullstack Software Engineer"
          subtitle="Jan 2024 - Present | AppRabbit, Springville UT"
        >
          <Typography variant="body1" sx={{ fontWeight: 600, pt: "1rem" }}>
            Technologies used: <span style={{ fontFamily: "inherit", fontSize: "14px" }}>React, NestJS, Flutter</span>
          </Typography>
          <ul style={{ paddingLeft: "25px" }}>
            <li>
              <Typography>
                Developed a highly scalable multi-platform mobile app build system and monitoring solution as project
                lead
              </Typography>
            </li>
            <li>
              <Typography>Automated creation of Owncast livestreaming servers on Digital Ocean</Typography>
            </li>
            <li>
              <Typography>Implemented strict API policies and authorization systems</Typography>
            </li>
            <li>
              <Typography>Used Stripe to manage user subscriptions and client data</Typography>
            </li>
          </ul>
        </ExperienceDisplay>
        <ExperienceDisplay title="Software Engineer Intern" subtitle="Jun - Nov 2021 | Podium, Lehi UT">
          <Typography variant="body1" sx={{ fontWeight: 600, pt: "1rem" }}>
            Technologies used:{" "}
            <span
              style={{
                fontFamily: "inherit",
                fontSize: "14px",
              }}
            >
              React, Python, Java, RabbitMQ
            </span>
          </Typography>
          <ul style={{ paddingLeft: "25px" }}>
            <li>
              <Typography>
                Created fullstack application using React and Express to manage QA data as solo developer
              </Typography>
            </li>
            <li>
              <Typography>Modularized API testing resources as project lead</Typography>
            </li>
            <li>
              <Typography>Improved performance of core QA services by 20%</Typography>
            </li>
            <li>
              <Typography>
                Developed automated end to end UI & API tests and automated collection of test coverage
              </Typography>
            </li>
          </ul>
        </ExperienceDisplay>
      </Box>
    </Box>
  );
}
